// Copyright (c) 2015, JINGROW and Contributors
// MIT License. See license.txt

jingrow.views.ReportFactory = class ReportFactory extends jingrow.views.Factory {
	make(route) {
		const _route = ["List", route[1], "Report"];

		if (route[2]) {
			// custom report
			_route.push(route[2]);
		}

		jingrow.set_route(_route);
	}
};
